
Cook: mp3val 0.1.8
================================================================================
QA: checking package receipt...
Extracting source archive "mp3val-0.1.8-src.tar.gz"

Executing: compile_rules
CFLAGS   : -march=i486  -Os -pipe -mindirect-branch=thunk

g++ -Wall -O2   -c -o main.o main.cpp
g++ -Wall -O2   -c -o mpegparse.o mpegparse.cpp
g++ -Wall -O2   -c -o out.o out.cpp
g++ -Wall -O2   -c -o report.o report.cpp
g++ -Wall -O2   -c -o crossapi.o crossapi.cpp
g++ -Wall -O2   -c -o crc.o crc.cpp
mpegparse.cpp: In function 'int ValidateFile(unsigned char*, int, MPEGINFO*, std::ostream*, char*, bool, int)':
mpegparse.cpp:177:117: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
    if(!fix) PrintMessage(out,"WARNING",filename,"Garbage at the beginning of the file",mpginfo->garbage_at_the_begin);
                                                                                                                     ^
mpegparse.cpp:177:117: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
mpegparse.cpp:185:110: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
     if(!fix) PrintMessage(out,"WARNING",filename,"Garbage at the end of the file",mpginfo->garbage_at_the_end);
                                                                                                              ^
mpegparse.cpp:185:110: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
mpegparse.cpp:190:124: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
    if(!fix) PrintMessage(out,"WARNING",filename,"MPEG stream error, resynchronized successfully",mpginfo->mpeg_stream_error);
                                                                                                                            ^
mpegparse.cpp:190:124: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
main.cpp: In function 'int ProcessFile(char*, char*)':
main.cpp:249:136: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   if(CrossAPI_GetFullPathName(szFileName,(char *)pcBuffer,CROSSAPI_MAX_PATH+1)) PrintMessage(out,"FIXED",pcBuffer,"File was rebuilt",-1);
                                                                                                                                        ^
main.cpp:249:136: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
main.cpp:250:65: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   else PrintMessage(out,"FIXED",szFileName,"File was rebuilt",-1);
                                                                 ^
main.cpp:250:65: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
main.cpp: In function 'int SplitFileName(char*, char**, char**)':
main.cpp:272:25: warning: value computed is not used [-Wunused-value]
   if(**szPathOut=='\"') *szPathOut++;
                         ^~~~~~~~~~~~
main.cpp:280:3: warning: value computed is not used [-Wunused-value]
   *szFileNameOut++;
   ^~~~~~~~~~~~~~~~
report.cpp: In function 'int PrintReport(std::ostream*, char*, MPEGINFO*)':
report.cpp:49:61: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"ERROR",filename,"Unknown file format",-1);
                                                             ^
report.cpp:49:61: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:55:110: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"Too few MPEG frames (it's unlikely that this is a MPEG audio file)",-1);
                                                                                                              ^
report.cpp:55:110: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:59:80: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"This is a RIFF file, not MPEG stream",-1);
                                                                                ^
report.cpp:59:80: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:64:134: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"It seems that file is truncated or there is garbage at the end of the file",mpginfo->truncated);
                                                                                                                                      ^
report.cpp:64:134: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:70:50: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,szMsgBuf,-1);
                                                  ^
report.cpp:90:52: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
     PrintMessage(out,"WARNING",filename,szMsgBuf,-1);
                                                    ^
report.cpp:95:52: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
     PrintMessage(out,"WARNING",filename,szMsgBuf,-1);
                                                    ^
report.cpp:102:52: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
     PrintMessage(out,"WARNING",filename,szMsgBuf,-1);
                                                    ^
report.cpp:107:52: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
     PrintMessage(out,"WARNING",filename,szMsgBuf,-1);
                                                    ^
report.cpp:114:118: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"VBR detected, but no VBR header is present. Seeking may not work properly.",-1);
                                                                                                                      ^
report.cpp:114:118: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:123:114: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"Non-layer-III frame encountered. See related INFO message for details.",-1);
                                                                                                                  ^
report.cpp:123:114: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:138:128: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"Different MPEG versions or layers in one file. See related INFO message for details.",-1);
                                                                                                                                ^
report.cpp:138:128: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:142:113: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"Several APEv2 tags in one file. See related INFO message for details.",-1);
                                                                                                                 ^
report.cpp:142:113: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
report.cpp:147:73: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
   PrintMessage(out,"WARNING",filename,"No supported tags in the file",-1);
                                                                         ^
report.cpp:147:73: warning: ISO C++ forbids converting a string constant to 'char*' [-Wwrite-strings]
g++ -Wall -O2 main.o mpegparse.o out.o report.o crossapi.o crc.o -o mp3val
================================================================================

find: /home/slitaz/wok/mp3val/install: No such file or directory
find: /home/slitaz/wok/mp3val/install: No such file or directory
find: /home/slitaz/wok/mp3val/install: No such file or directory
find: /home/slitaz/wok/mp3val/install: No such file or directory
find: /home/slitaz/wok/mp3val/install: No such file or directory
find: /home/slitaz/wok/mp3val/install: No such file or directory
================================================================================

ERROR: cook failed

Debug information
================================================================================
Cook date: 2018-03-12 09:16
Wasted time : 4s
47:   PrintMessage(out,"ERROR",filename,"Unknown file format",-1);
100:find: /home/slitaz/wok/mp3val/install: No such file or directory
101:find: /home/slitaz/wok/mp3val/install: No such file or directory
102:find: /home/slitaz/wok/mp3val/install: No such file or directory
103:find: /home/slitaz/wok/mp3val/install: No such file or directory
104:find: /home/slitaz/wok/mp3val/install: No such file or directory
105:find: /home/slitaz/wok/mp3val/install: No such file or directory
108:ERROR: cook failed
================================================================================

